<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Blog Page
 */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Blog Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'block_category_template',
			'type'     => 'image_select',
			'title'    => esc_html__('Category template', 'digiqole'),
			'subtitle' => esc_html__('Post block style in category pages.', 'digiqole'),
			'options'  => array(
				'style1' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min1.png',
				'style2' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min2.png',
				'style3' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min3.png',
				'style4' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min4.png',
				'style5' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min5.png',
				'style6' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min6.png',
				'style7' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min5.png',
				'style8' => DIGIQOLE_IMG . '/admin/category-main-layout/category_min6.png',
				'style9' => DIGIQOLE_IMG . '/admin/category-main-layout/category9.png',
			),
			'default'  => 'style2'
		],
		[
			'id'       => 'block_featured_post',
			'type'     => 'switcher',
			'title'    => esc_html__('Block feature post', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show the feature post in category page?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'block_sidebar_layout',
			'type'     => 'image_select',
			'title'    => esc_html__('Category sidebar layout', 'digiqole'),
			'subtitle' => esc_html__('The sidebar position of a blog category.', 'digiqole'),
			'options'  => array(
				'sidebar-right' => DIGIQOLE_IMG . '/admin/category-sidebar-layout/min-sidebar-right.png',
				'sidebar-none'  => DIGIQOLE_IMG . '/admin/category-sidebar-layout/min-sidebar-none.png',
			),
			'default'  => '3'
		],
		[
			'id'       => 'blog_list_cat_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post category', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show post category?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_child_cat_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post child category', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show post child category?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_list_date_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post date', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show post date?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_list_author_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog author', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show blog author?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_author_avatar_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Author image show', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show author avatar image?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_archive_title_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Archive title show', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show archive title?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_category_title_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Category title show', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show category title?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_read_more',
			'type'     => 'switcher',
			'title'    => esc_html__('Read more', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show read more buttons?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_read_more_text',
			'type'     => 'text',
			'title'    => esc_html__('Continue reading', 'digiqole'),
			'subtitle' => esc_html__('Readmore button text', 'digiqole'),
			'default'  => esc_html__('Read More', 'digiqole')
		],
		[
			'id'       => 'block_pagination_alignment',
			'type'     => 'radio',
			'title'    => esc_html__('Pagination alignment', 'digiqole'),
			'subtitle' => esc_html__('Pagination alignment in blog category page.', 'digiqole'),
			'options'  => array(
				'left'   => esc_html__('Left', 'digiqole'),
				'center' => esc_html__('Center', 'digiqole'),
				'right'  => esc_html__('Right', 'digiqole'),
			),
			'default'  => 'center',
			'inline'   => true
		],
		[
			'id'      => 'blog_pagination_style',
			'type'    => 'image_select',
			'title'   => esc_html__('Blog pagination', 'digiqole'),
			'options' => array(
				'number' => DIGIQOLE_IMG . '/admin/pagination/number.png',
			),
			'default' => 'number'
		],
		[
			'id'       => 'block_crop_title_switch',  // Picker Key in migration file: block_crop_title
			'type'     => 'switcher',
			'title'    => esc_html__('Post title length', 'digiqole'),
			'desc'     => esc_html__('Enable disable post title length.', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'block_crop_title_limit',
			'type'       => 'text',
			'title'      => esc_html__('Post title limit.', 'digiqole'),
			'subtitle'   => esc_html__('Post title limit, example: 10', 'digiqole'),
			'default'    => 10,
			'dependency' => ['block_crop_title_switch', '==', 'true'],
		],
		[
			'id'       => 'block_crop_desc_switch',  // Picker Key in migration file: block_crop_desc
			'type'     => 'switcher',
			'title'    => esc_html__('Post word length', 'digiqole'),
			'desc'     => esc_html__('Enable disable  post word length.', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'block_crop_desc_limit',
			'type'       => 'text',
			'title'      => esc_html__('Post word limit.', 'digiqole'),
			'desc'       => esc_html__('Post word limit, example: 100', 'digiqole'),
			'default'    => 35,
			'dependency' => ['block_crop_desc_switch', '==', 'true'],
		],
	],
]);
