<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Footer
 */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Footer Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'footer_top_show_hide',
			'type'     => 'switcher',
			'title'    => esc_html__('Footer Top Show', 'digiqole'),
			'subtitle' => esc_html__('footer top / newsletter area show or hide.', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'                    => 'footer_top_bg_color',
			'type'                  => 'background',
			'title'                 => esc_html__('Footer Top BG Color', 'digiqole'),
			'desc'                  => esc_html__('Set footer top / newsletter area background color.', 'digiqole'),
			'background_gradient'   => true,
			'background_image'      => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'background_attachment' => false,
			'background_size'       => false,
		],
		[
			'id'    => 'footer_mailchimp',
			'type'  => 'text',
			'title' => esc_html__('Mailchimp Shortcode', 'digiqole'),
		],
		[
			'id'       => 'ts_footer_widget_title_color',
			'type'     => 'color',
			'title'    => esc_html__('Widget title color', 'digiqole'),
			'subtitle' => esc_html__('You can change the widget title color with rgba color or solid color', 'digiqole'),
			'default'  => '#fff',
		],
		[
			'id'       => 'footer_text_color',
			'type'     => 'color',
			'title'    => esc_html__('Widget text color', 'digiqole'),
			'subtitle' => esc_html__('You can change the widget text color with rgba color or solid color', 'digiqole'),
			'default'  => '#fff',
		],
		[
			'id'             => 'footer_bg_url',
			'type'           => 'media',
			'title'          => esc_html__('Footer background Image', 'digiqole'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'       => 'footer_bg_color',
			'type'     => 'color',
			'title'    => esc_html__('Footer Background color', 'digiqole'),
			'subtitle' => esc_html__('You can change the Footer background color with rgba color or solid color', 'digiqole'),
			'default'  => '#222222',
		],
		[
			'id'       => 'footer_copyright_bg_color',
			'type'     => 'color',
			'title'    => esc_html__('Footer Copyright BG color', 'digiqole'),
			'subtitle' => esc_html__('You can change the footer\'s background color with rgba color or solid color', 'digiqole'),
		],
		[
			'id'       => 'footer_copyright_color',
			'type'     => 'color',
			'title'    => esc_html__('Footer Copyright color', 'digiqole'),
			'subtitle' => esc_html__('You can change the footer\'s background color with rgba color or solid color', 'digiqole'),
		],
		[
			'id'       => 'footer_copyright',
			'type'     => 'textarea',
			'title'    => esc_html__('Copyright text', 'digiqole'),
			'subtitle' => esc_html__('This text will be shown at the footer of all pages.', 'digiqole'),
			'default'  => esc_html__('&copy; ' . date('Y') . ', Digiqole. All rights reserved', 'digiqole'),
		],
		[
			'id'      => 'footer_padding_top',
			'type'    => 'text',
			'title'   => esc_html__('Footer Padding Top', 'digiqole'),
			'default' => '100px',
		],
		[
			'id'      => 'footer_padding_bottom',
			'type'    => 'text',
			'title'   => esc_html__('Footer Padding Bottom', 'digiqole'),
			'default' => '100px',
		],
		[
			'id'       => 'back_to_top',
			'type'     => 'switcher',
			'title'    => esc_html__('Back to top', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
	],
]);