<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/*
 * Customizer Option: General
 * */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('General Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'preloader_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Preloader show', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show preloader on your site ?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'             => 'preloader_logo',
			'type'           => 'media',
			'title'          => esc_html__('Preloader logo', 'digiqole'),
			'subtitle'       => esc_html__('When you enable preloader then you can set preloader image otherwise default color preloader you will see', 'digiqole'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'       => 'general_text_logo',
			'type'     => 'switcher',
			'title'    => esc_html__('Logo text', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'general_text_logo_title',
			'title'      => esc_html__('Text Logo', 'digiqole'),
			'type'       => 'text',
			'default'    => 'Blog',
			'dependency' => array('general_text_logo', '==', 'true')
		],
		[
			'id'             => 'general_light_logo',
			'type'           => 'media',
			'title'          => esc_html__('Light logo', 'digiqole'),
			'subtitle'       => esc_html__('It\'s the Main logo and Footer logo, mostly it will be shown on "dark or coloreful" type area.', 'digiqole'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'             => 'general_dark_logo',
			'type'           => 'media',
			'title'          => esc_html__('Dark logo', 'digiqole'),
			'subtitle'       => esc_html__('It will be shown on any "light background" type area.', 'digiqole'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
		],
		[
			'id'         => 'logo_style',
			'type'       => 'accordion',
			'title'      => esc_html__('Logo Style', 'digiqole'),
			'accordions' => [
				[
					'title'  => esc_html__('Logo Style', 'digiqole'),
					'fields' => [

						[
							'id'    => 'logo_width',
							'type'  => 'text',
							'title' => esc_html__('Logo width', 'digiqole'),
							'desc'  => esc_html__('Set Logo width. dont use "px"', 'digiqole'),
						],
						[
							'id'       => 'Padding_top',
							'type'     => 'text',
							'title'    => esc_html__('Logo Padding Top', 'digiqole'),
							'subtitle' => esc_html__('Set Logo top padding. dont use "px"', 'digiqole'),
						],
						[
							'id'       => 'Padding_bottom',
							'type'     => 'text',
							'title'    => esc_html__('Logo Padding bottom', 'digiqole'),
							'subtitle' => esc_html__('Set Logo bottom padding. dont use "px"', 'digiqole'),
						],
					]
				]
			],
		],
		[
			'id'       => 'blog_breadcrumb_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Breadcrumb', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show breadcrumb?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'      => 'breadcrumb_length',
			'type'    => 'text',
			'title'   => esc_html__('Breadcrumb word length', 'digiqole'),
			'default' => '3'
		],
		[
			'id'       => 'general_social_links',
			'type'     => 'group',
			'title'    => esc_html__('Social links', 'digiqole'),
			'subtitle' => esc_html__('Add social links and it\'s icon class bellow. These are all fontaweseome-4.7 icons.', 'digiqole'),
			'fields'   => [
				[
					'id'      => 'title',
					'title'   => esc_html__('Title', 'digiqole'),
					'type'    => 'text',
					'default' => 'Facebook'
				],
				[
					'id'      => 'icon_class',
					'title'   => esc_html__('Social icon', 'digiqole'),
					'type'    => 'icon',
					'default' => 'ts-icon ts-icon-facebook'
				],
				[
					'id'      => 'url',
					'title'   => esc_html__('Social link', 'digiqole'),
					'type'    => 'text',
					'default' => '#'
				],
			],
		],
		[
			'id'       => 'blog_reading_pregressbar',
			'type'     => 'switcher',
			'title'    => esc_html__('Reading progressbar', 'digiqole'),
			'subtitle' => esc_html__('Do you want to enable reading progressbar?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_reading_progressbar_color',
			'type'     => 'color',
			'title'    => esc_html__('Progressbar color', 'digiqole'),
			'subtitle' => esc_html__('You can change the progressbar color with rgba color or solid color', 'digiqole'),
			'default'  => '#000',
		],
		[
			'id'         => 'blog_reading_progressbar_area',
			'type'       => 'select',
			'multiple'   => true,
			'dependency' => array('blog_reading_pregressbar', '==', 'true'),
			'title'      => esc_html__('Reading progressbar area', 'digiqole'),
			'subtitle'   => esc_html__('Select option for reading progressbar on top ', 'digiqole'),
			'options'    => array(
				'post'     => esc_html__('Blog Post', 'digiqole'),
				'page'     => esc_html__('Blog Page', 'digiqole'),
				'category' => esc_html__('Blog Category', 'digiqole'),
				'all'      => esc_html__('All', 'digiqole'),
			),
			'default'    => 'post'
		],
		[
			'id'       => 'general_container_width',
			'type'     => 'switcher',
			'title'    => esc_html__('Custom Container Width', 'digiqole'),
			'subtitle' => esc_html__('Do you want to enable custom container width?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'container_width_laptop',
			'dependency' => array('general_container_width', '==', 'true'),
			'type'       => 'slider',
			'title'      => esc_html__('Container Width Laptop', 'digiqole'),
			'min'        => 900,
			'max'        => 3000,
			'step'       => 1,
			'unit'       => 'px',
			'default'    => 960,

		],
		[
			'id'         => 'container_width_desktop',
			'dependency' => array('general_container_width', '==', 'true'),
			'type'       => 'slider',
			'title'      => esc_html__('Container Width Desktop', 'digiqole'),
			'min'        => 900,
			'max'        => 3000,
			'step'       => 1,
			'unit'       => 'px',
			'default'    => 1200,
		],
	],
]);