<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Header
 */

CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Header Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'header_builder_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Header builder enable', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'digiqole_header_builder_select',
			'type'       => 'select',
			'multiple'   => false,
			'title'      => esc_html__('Edit builder header from:', 'digiqole'),
			'desc'       => esc_html__('Dashboard -> ElementsKit -> Header Footer', 'digiqole'),
			'dependency' => ['header_builder_enable', '==', 'true']
		],
		[
			'id'         => 'header_layout_style',
			'type'       => 'image_select',
			'label'      => esc_html__('Header style', 'digiqole'),
			'desc'       => esc_html__('This is the site\'s main header style.', 'digiqole'),
			'class'      => 'header_layout_style',
			'attributes' => array(
				'data-foo' => 'bar',
			),
			'options'    => array(
				'standard' => DIGIQOLE_IMG . '/admin/header-style/style1.png',
				'style2'   => DIGIQOLE_IMG . '/admin/header-style/style2.png',
				'style3'   => DIGIQOLE_IMG . '/admin/header-style/style3.png',
				'style4'   => DIGIQOLE_IMG . '/admin/header-style/style4.png',
				'style5'   => DIGIQOLE_IMG . '/admin/header-style/style5.png',
				'style6'   => DIGIQOLE_IMG . '/admin/header-style/style6.png',
				'style7'   => DIGIQOLE_IMG . '/admin/header-style/style7.png',
				'style8'   => DIGIQOLE_IMG . '/admin/header-style/style8.png',
				'style9'   => DIGIQOLE_IMG . '/admin/header-style/style9.png',
				'style10'  => DIGIQOLE_IMG . '/admin/header-style/style10.png',
			),
			'default'    => 'standard',
			'dependency' => ['header_builder_enable', '==', 'false']
		],
		[
			'id'         => 'header_nav_sticky',
			'type'       => 'switcher',
			'title'      => esc_html__('Sticky header', 'digiqole'),
			'subtitle'   => esc_html__('Do you want to enable sticky nav?', 'digiqole'),
			'default'    => false,
			'text_on'    => esc_html__('Yes', 'digiqole'),
			'text_off'   => esc_html__('No', 'digiqole'),
			'dependency' => ['header_builder_enable', '==', 'false']
		],
		[
			'id'         => 'header_top_info_show',
			'type'       => 'switcher',
			'title'      => esc_html__('Topbar', 'digiqole'),
			'subtitle'   => esc_html__('Do you want to show topbar?', 'digiqole'),
			'default'    => true,
			'text_on'    => esc_html__('Yes', 'digiqole'),
			'text_off'   => esc_html__('No', 'digiqole'),
			'dependency' => ['header_builder_enable', '==', 'false']
		],
		[
			'id'         => 'topbar_style',
			'type'       => 'accordion',
			'dependency' => ['header_builder_enable', '==', 'false'],
			'accordions' => [
				[
					'title'  => esc_html__('Topbar Style', 'digiqole'),
					'fields' => [
						[
							'id'    => 'topbar_padding_top',
							'type'  => 'text',
							'title' => esc_html__('Topbar padding top', 'digiqole'),
							'desc'  => esc_html__('Set topbar padding top. dont use "px"', 'digiqole'),
						],
						[
							'id'    => 'topbar_padding_bottom',
							'type'  => 'text',
							'title' => esc_html__('Topbar padding bottom', 'digiqole'),
							'desc'  => esc_html__('Set topbar background color.', 'digiqole'),
						],
						[
							'id'    => 'topbat_bg_color',
							'type'  => 'color',
							'title' => esc_html__('Topbar background color', 'digiqole'),
							'desc'  => esc_html__('Set topbar background color.', 'digiqole'),
						],
						[
							'id'    => 'topbar_color',
							'type'  => 'color',
							'title' => esc_html__('Topbar text color', 'digiqole'),
							'desc'  => esc_html__('Set topbar text color.', 'digiqole'),
						]
					],
				],
			],
		],
		[
			'id'         => 'header_nav_search_section',
			'type'       => 'switcher',
			'title'      => esc_html__('Search button show', 'digiqole'),
			'subtitle'   => esc_html__('Do you want to show search button in header ?', 'digiqole'),
			'default'    => true,
			'text_on'    => esc_html__('Yes', 'digiqole'),
			'text_off'   => esc_html__('No', 'digiqole'),
			'dependency' => ['header_builder_enable', '==', 'false']
		],
		[
			'id'         => 'header_social_share',
			'type'       => 'switcher',
			'title'      => esc_html__('Social share', 'digiqole'),
			'subtitle'   => esc_html__('Do you want to show social share buttons in header?', 'digiqole'),
			'default'    => true,
			'text_on'    => esc_html__('Yes', 'digiqole'),
			'text_off'   => esc_html__('No', 'digiqole'),
			'dependency' => ['header_builder_enable', '==', 'false']
		],
	],
]);