<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Menu Style Settings', 'digiqole'),
	'fields' => [
		[
			'id'      => 'navmenu_height',
			'type'    => 'slider',
			'title'   => esc_html__('Menu Style settings', 'digiqole'),
			'min'     => 0,
			'max'     => 200,
			'step'    => 1,
			'unit'    => 'px',
			'default' => 75,
		],
		[
			'id'                    => 'menu_bg_color',
			'type'                  => 'background',
			'title'                 => esc_html__('Menu background', 'digiqole'),
			'desc'                  => esc_html__('Set Menu background color.', 'digiqole'),
			'background_gradient'   => true,
			'background_image'      => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'background_attachment' => false,
			'background_size'       => false,
		],
		[
			'id'       => 'menu_color',
			'type'     => 'color',
			'title'    => esc_html__('Menu color', 'digiqole'),
			'subtitle' => esc_html__('Set Menu color.', 'digiqole'),
		],
		[
			'id'       => 'menu_hover_color',
			'type'     => 'color',
			'title'    => esc_html__('Menu hover color', 'digiqole'),
			'subtitle' => esc_html__('Set Menu Hover color.', 'digiqole'),
		],
		[
			'id'       => 'submenu_color',
			'type'     => 'color',
			'title'    => esc_html__('Submenu color', 'digiqole'),
			'subtitle' => esc_html__('Submenu color.', 'digiqole'),
		],
		[
			'id'       => 'submenu_hover_color',
			'type'     => 'color',
			'title'    => esc_html__('Submenu hover color', 'digiqole'),
			'subtitle' => esc_html__('Submenu hover color.', 'digiqole'),
		],
		[
			'id'       => 'humberger_color',
			'type'     => 'color',
			'title'    => esc_html__('Humberger Color', 'digiqole'),
			'subtitle' => esc_html__('only for tab and mobile device', 'digiqole'),
		],
		[
			'id'             => 'menu_font',
			'type'           => 'typography',
			'title'          => esc_html__('Menu Font', 'digiqole'),
			'subtitle'       => esc_html__('Choose the typography for the menu', 'digiqole'),
			'default'        => array(
				'font-family' => 'Roboto',
				'font-weight' => '700',
				'font-size'   => '14',
				'line-height' => '70',
				'unit'        => 'px',
				'type'        => 'google',
			),
			'font_style'     => true,
			'text_align'     => false,
			'line_height'    => false,
			'letter_spacing' => false,
			'text_transform' => false,
			'color'          => false,
			'subset'         => false,
			'preview'        => 'always'
		],
		[
			'id'      => 'submenu_font',
			'type'    => 'slider',
			'title'   => esc_html__('Sub menu fonts size', 'digiqole'),
			'min'     => 0,
			'max'     => 50,
			'step'    => 1,
			'unit'    => 'px',
			'default' => 12,
		],
	],
]);