<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Newsticker
 */

CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('News Ticker settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'newsticker_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Newsticker', 'digiqole'),
			'subtitle' => esc_html__('Would you like to enable newsticker?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'    => 'newsticker_bg_color',
			'title' => esc_html__('News Ticker Background Color', 'digiqole'),
			'type'  => 'color',
		],
		[
			'id'      => 'newsticker_title',
			'type'    => 'text',
			'title'   => esc_html__('News Ticker title', 'digiqole'),
			'default' => esc_html__('Trending', 'digiqole'),
		],
		[
			'id'       => 'newsticker_nav_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Newsticker Navigation', 'digiqole'),
			'subtitle' => esc_html__('Would you like to enable newsticker navigation?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'newsticker_post_order_by',
			'type'     => 'select',
			'multiple' => false,
			'title'    => esc_html__('Post select by', 'digiqole'),
			'desc'     => esc_html__('Newsticker post source ', 'digiqole'),
			'options'  => array(
				'latest'   => esc_html__('latest Post', 'digiqole'),
				'trending' => esc_html__('Trending post', 'digiqole'),
				'category' => esc_html__('Category', 'digiqole'),
				'tag'      => esc_html__('Tag', 'digiqole'),
			),
			'default'  => 'latest'
		],
		[
			'id'         => 'newsticker_post_category',
			'type'       => 'select',
			'multiple'   => true,
			'dependency' => array('newsticker_post_order_by', '==', 'category'),
			'title'      => esc_html__('Select Categories', 'digiqole'),
			'options'    => 'categories'
		],
		[
			'id'         => 'newsticker_post_tag',
			'type'       => 'select',
			'multiple'   => true,
			'dependency' => array('newsticker_post_order_by', '==', 'tag'),
			'title'      => esc_html__('Select Tags', 'digiqole'),
			'options'    => 'tags'
		],
		[
			'id'      => 'newsticker_post_number',
			'type'    => 'text',
			'default' => '5',
			'title'   => esc_html__('Number of post', 'digiqole'),
			'desc'    => esc_html__('Number of post to show in newsticker', 'digiqole'),
		],
	],
]);


