<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Optimization
 */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Optimization Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'optimization_blocklibrary_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Block Library css files?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load block library css files?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'optimization_fontawesome_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Fontawesome icons?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load font awesome icons?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'optimization_elementoricons_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Elementor Icons?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load elementor icons?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'optimization_elementkitsicons_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Elementskit Icons?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load elementskit icons?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'optimization_socialicons_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Accesspress Icons?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load accesspress social icons?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'optimization_dashicons_enable',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Dash Icons?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load dash icons?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'optimization_meta_viewport',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Meta Description?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to load meta description in header?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
	],
]);