<?php

//Single post layout
CSF::createMetabox('settings-post-layout', array(
	'title'     => esc_html__('Post Layout', 'digiqole'),
	'post_type' => 'post',
	'context'   => 'normal',
	'theme'     => 'light',
	'data_type' => 'unserialize',
));

// Post Layout Meta
CSF::createSection('settings-post-layout', array(
	'fields' => [
		[
			'id'       => 'override_default',
			'type'     => 'switcher',
			'title'    => esc_html__('Override default layouts?', 'digiqole'),
			'desc'     => esc_html__('You can change the default options from customizer\'s "Blog settings".', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'post_header_layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Post Header Layout', 'digiqole'),
			'desc'       => esc_html__('Single post\'s header style.', 'digiqole'),
			'options'    => array(
				'style1' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style1.png',
				'style2' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style9.png',
				'style3' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style2.png',
				'style4' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style5.png',
				'style5' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style6.png',
				'style6' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style7.png',
				'style7' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style4.png',
			),
			'default'    => 'style1',
			'dependency' => array('override_default', '==', 'true')
		],
		[
			'id'         => 'post_sidebar_layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Post header layout', 'digiqole'),
			'desc'       => esc_html__('Single post\'s header style.', 'digiqole'),
			'options'    => array(
				'sidebar-right' => DIGIQOLE_IMG . '/admin/post-sidebar-layout/min-sidebar-right.png',
				'sidebar-none'  => DIGIQOLE_IMG . '/admin/post-sidebar-layout/min-sidebar-none.png',
			),
			'default'    => 'style1',
			'dependency' => array('override_default', '==', 'true')
		],
	]
));

//Post featured video metabox
CSF::createMetabox('post_featured_video', array(
	'title'     => esc_html__('Featured Video', 'digiqole'),
	'post_type' => 'post',
	'context'   => 'side',
	'theme'     => 'light',
	'data_type' => 'unserialize',
));
// Featured video url
CSF::createSection('post_featured_video', array(
	'fields' => array(
		array(
			'id'    => 'featured_video',
			'type'  => 'text',
			'title' => esc_html__('Video URL', 'digiqole'),
			'desc'  => esc_html__('Paste a video link from Youtube, Vimeo, Dailymotion, Facebook or Twitter it will be embedded in the post and the thumb used as the featured image of this post. 
				You need to choose "Video Format" as post format to use "Featured Video".', 'digiqole'),
		),
	)
));


// Post Banner metabox
CSF::createMetabox('settings-featured-gallery', array(
	'title'     => esc_html__('Featured gallary', 'digiqole'),
	'post_type' => 'post',
	'context'   => 'side',
	'theme'     => 'light',
	'data_type' => 'unserialize',
));

// Featured Banner Image
CSF::createSection('settings-featured-gallery', array(
	'fields' => array(
		array(
			'id'   => 'featured_gallery',
			'type' => 'gallery',
			'desc' => esc_html__('Only use post format gallery.', 'digiqole'),
			'url'  => false,
		),
	)
));