<?php
/**
 * The header template for the theme
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >


<?php wp_body_open(); ?>


<div class="body-inner-content">

	<?php

	$header_style = 'standard';
	$header_builder_enable = digiqole_option('header_builder_enable', false);
	$header_builder_select = digiqole_option('digiqole_header_builder_select');

	if($header_builder_enable == true && class_exists('ElementsKit')) {
		if(class_exists('\ElementsKit\Utils::render_elementor_content')) {
			echo \ElementsKit\Utils::render_elementor_content($header_builder_select);
		} else {
			$elementor = \Elementor\Plugin::instance();
			echo \ElementsKit\Utils::render($elementor->frontend->get_builder_content_for_display($header_builder_select));
		}
	} else {

		if(isset($header_builder_enable) && $header_builder_enable == false) {
			$header_style = digiqole_option('header_layout_style', 'standard');
		}

		$page_override_header = digiqole_meta_option(get_the_ID(), 'page_header_override');
		$page_header_layout_style = digiqole_meta_option(get_the_ID(), 'page_header_layout_style', 'standard');

		if($page_override_header == true):
			$header_style = $page_header_layout_style;
		endif;
		get_template_part('template-parts/headers/header', $header_style);
	}
	?>
